light-mode-image
Learn
API ReferenceIssuer Policy

Publish issuer policy

Roles

admindts-provider

Analytics Events

ECOSYSTEM_ISSUER_POLICY_CREATE_STARTECOSYSTEM_ISSUER_POLICY_CREATE_SUCCESSECOSYSTEM_ISSUER_POLICY_CREATE_FAIL
POST/v1/ecosystems/{ecosystemId}/issuer-policies

Publish a new version of the ecosystem issuer policy. A participant is included only if it is active and has at least one issuer certificate that passes validation. Only the certificates that pass validation are included.

Analytic events

  • ECOSYSTEM_ISSUER_POLICY_CREATE_START
  • ECOSYSTEM_ISSUER_POLICY_CREATE_SUCCESS
  • ECOSYSTEM_ISSUER_POLICY_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/issuer-policies"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "publishedAt": "2019-08-24T14:15:22Z",  "participants": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "issuerCertificates": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "certificatePem": "string",          "certificateFingerprint": "string",          "docTypes": [            {              "value": "string"            }          ]        }      ]    }  ]}

How would you rate this page?